Debian Bug report logs - #604669
superiotool: Please add armhf support

version graph

Package: src:superiotool; Maintainer for src:superiotool is Uwe Hermann <uwe@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 12:42:02 UTC

Severity: important

Tags: patch

Fixed in version superiotool/0.0+r5050-1.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#604669; Package src:superiotool. (Tue, 23 Nov 2010 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. (Tue, 23 Nov 2010 12:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: superiotool: Please add armhf support
Date: Tue, 23 Nov 2010 15:25:40 +0000
[Message part 1 (text/plain, inline)]
Source: superiotool
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[scsh-0.6-armhf.diff (text/x-diff, attachment)]

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#604669; Package src:superiotool. (Mon, 28 Mar 2011 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Mon, 28 Mar 2011 16:33:02 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 604669@bugs.debian.org, 614469@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#604669: superiotool: Please add armhf support
Date: Mon, 28 Mar 2011 17:28:20 +0100
Hi,

  A porter NMU upload has been done to DELAYED/7

  Please check diff is fine:


diff -u superiotool-0.0+r5050/debian/changelog superiotool-0.0+r5050/debian/changelog
--- superiotool-0.0+r5050/debian/changelog
+++ superiotool-0.0+r5050/debian/changelog
@@ -1,3 +1,12 @@
+superiotool (0.0+r5050-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+    - Add armhf to architecture list (Closes: DebianBug#604669)
+    - Replace DEB_OPT_FLAG with CFLAGS for FTBFS fix (Closes: DebianBug#614469)
+    - Bump standards version to 3.9.1 
+
+ -- Hector Oron <zumbi@debian.org>  Mon, 28 Mar 2011 16:23:33 +0000
+
 superiotool (0.0+r5050-1) unstable; urgency=low
 
   * New upstream release.
diff -u superiotool-0.0+r5050/debian/control superiotool-0.0+r5050/debian/control
--- superiotool-0.0+r5050/debian/control
+++ superiotool-0.0+r5050/debian/control
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), libpci-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Homepage: http://coreboot.org/Superiotool
 
 Package: superiotool
-Architecture: alpha amd64 arm armel armeb i386 ia64 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
+Architecture: alpha amd64 arm armel armeb armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Super I/O detection tool
  Superiotool is a user-space utility which can
diff -u superiotool-0.0+r5050/debian/rules superiotool-0.0+r5050/debian/rules
--- superiotool-0.0+r5050/debian/rules
+++ superiotool-0.0+r5050/debian/rules
@@ -7,7 +7,7 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 # Note: The version here must be updated for each new upstream release!
-DEB_OPT_FLAG += -Werror -Wstrict-prototypes -Wundef \
+CFLAGS += -Werror -Wstrict-prototypes -Wundef \
 		-Wstrict-aliasing -Werror-implicit-function-declaration \
 		-ansi -DPCI_SUPPORT -D'SUPERIOTOOL_VERSION="\"5050\""'
 

  Let us know if there is any issue.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#604669; Package src:superiotool. (Mon, 28 Mar 2011 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Mon, 28 Mar 2011 16:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#604669; Package src:superiotool. (Sun, 03 Apr 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Sun, 03 Apr 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 604669@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 604669@bugs.debian.org, 614469@bugs.debian.org
Subject: superiotool: diff for NMU version 0.0+r5050-1.1
Date: Sun, 3 Apr 2011 15:21:30 +0100
[Message part 1 (text/plain, inline)]
tags 604669 + patch
tags 604669 + pending
tags 614469 + patch
tags 614469 + pending
thanks

Dear maintainer,

I've prepared an NMU for superiotool (versioned as 0.0+r5050-1.1) and
uploaded it to DELAYED/1. Please feel free to tell me if I
should delay it longer.

Notice the diff was sent a week ago, I am just setting properly Closes field.

Regards.
[superiotool-0.0+r5050-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 03 Apr 2011 14:24:10 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Mon, 04 Apr 2011 14:57:12 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Mon, 04 Apr 2011 14:57:13 GMT) Full text and rfc822 format available.

Message #29 received at 604669-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 604669-close@bugs.debian.org
Subject: Bug#604669: fixed in superiotool 0.0+r5050-1.1
Date: Mon, 04 Apr 2011 14:54:19 +0000
Source: superiotool
Source-Version: 0.0+r5050-1.1

We believe that the bug you reported is fixed in the latest version of
superiotool, which is due to be installed in the Debian FTP archive:

superiotool_0.0+r5050-1.1.diff.gz
  to main/s/superiotool/superiotool_0.0+r5050-1.1.diff.gz
superiotool_0.0+r5050-1.1.dsc
  to main/s/superiotool/superiotool_0.0+r5050-1.1.dsc
superiotool_0.0+r5050-1.1_amd64.deb
  to main/s/superiotool/superiotool_0.0+r5050-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated superiotool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 03 Apr 2011 13:59:26 +0000
Source: superiotool
Binary: superiotool
Architecture: source amd64
Version: 0.0+r5050-1.1
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 superiotool - Super I/O detection tool
Closes: 604669 614469
Changes: 
 superiotool (0.0+r5050-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
     - Add armhf to architecture list (Closes: #604669)
     - Replace DEB_OPT_FLAG with CFLAGS for FTBFS fix (Closes: #614469)
     - Bump standards version to 3.9.1
Checksums-Sha1: 
 ceeba33f8e85652effaaa4af2aec0f89e99c91d9 1799 superiotool_0.0+r5050-1.1.dsc
 6aa8ce7faf35c777230436f013e2f68327cfece9 14418 superiotool_0.0+r5050-1.1.diff.gz
 db4a5e5332d2944790b413fa432c2ffdb43d0de0 43190 superiotool_0.0+r5050-1.1_amd64.deb
Checksums-Sha256: 
 0f149e522c45332fd3f5419cd23d9640b3a6920319bfbae75a07eb9edca62517 1799 superiotool_0.0+r5050-1.1.dsc
 702ff3f9b9d10a2185eb86d950caa617ac9f034406b7b51e28c2a793056a6308 14418 superiotool_0.0+r5050-1.1.diff.gz
 e15a9522a0bc7701e4f1be6c5f5ffaf5c335505cd5c323e5330838f5f204549d 43190 superiotool_0.0+r5050-1.1_amd64.deb
Files: 
 bde8bbac54fe26f1250d37ad4266d1ad 1799 utils extra superiotool_0.0+r5050-1.1.dsc
 29864ec5c19ec725ecd294d216bd90f6 14418 utils extra superiotool_0.0+r5050-1.1.diff.gz
 0600de544a9bf87a9b00188180f79ba4 43190 utils extra superiotool_0.0+r5050-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNmILdAAoJEK8ig6p24qx7j2wQAJFjKohQUe/2cs/WivHmOkDc
2aF5R13AdKf4a5fEYak6quSlCezhN0hExADXFjbGxPJzbrPXAmSZJ9zF04ZqBwne
AbO3EaMCXPH3tcMjcorV/nBfeFUmb3kon+XdIaB4xVyHkgOrEu3RpynohPnARP4t
AduN/nCeKygUCyymjdU3ievFNT4/6WobrtVQhaHHK/zfE9R0qNAcx/ZgiVV+cgHP
EUTmF2nrGOJb7CFwgOizJdq/XW7JdEikSAcaAWsl3r5ORr+vIiA9/QY/1mvm/Lka
SyNG6NZ+EcxOwuJnQmuxGqUnin/UiwC8AhKD53yvoYXm1e1Y5V9F/mIvPjOT8nun
xF2ut65Yh+ITXXNLMjBAtq903Qb27wAlh+sM5+V5o3H9prdEBfqFV+M/96A+UQSV
mAdWPfyGWIgxXSbv3IM1M3HAaJe1pOaZE+TUx7gjG6gYueoW41+oP3UhSvyLtP7x
l0m1sjksuNQ90BRgbg9qgJs+WxDyD8ssgj4/D74ueDOYFMJDVk6H9pX6k24l8s4X
PeOr7m6YU1oZsgJVXFaSxDNLmdowTsfTHqGuzzTeMNSW2FwFFHcDY6sJ08I+/P5F
3oMAhJUhOAYpmZGZ9uU0RAalVMQYA6FzUxiHjnwtZbeHG1NhGJvhtqdkNDPxnyIN
/SO6+lD7jcnWYl4gODao
=qjVQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 May 2011 07:42:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:05:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.